/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-05-16 14:31:40
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询列表
export function saleTargetList(data) {
  return newRequest({
    url: '/sale/target/list',
    method: 'post',
    data
  })
}

export function saleTargetLogs() {
  return newRequest({
    url: '/sale/target/logs',
    method: 'get'
  })
}

export function saleTargetExport(data) {
  return newRequest({
    url: '/sale/target/export',
    method: 'post',
    data
  })
}

export function saleTargetUpload(data) {
  return newRequest({
    url: '/sale/target/upload',
    method: 'post',
    data
  })
}

export function saleTargetBrandList(data) {
  return newRequest({
    url: '/sale/target/brand/list',
    method: 'post',
    data
  })
}

export function saleTargetChannelList(data) {
  return newRequest({
    url: '/sale/target/channel/list',
    method: 'post',
    data
  })
}

export function saleMonthExport(data) {
  return newRequest({
    url: '/export/sale/month/export',
    method: 'post',
    data
  })
}

export function saleMonthList(data) {
  return newRequest({
    url: '/export/sale/month/log/list',
    method: 'post',
    data
  })
}

export function saleWeekList(data) {
  return newRequest({
    url: '/export/sale/week/log/list',
    method: 'post',
    data
  })
}

export function saleWeekExport(data) {
  return newRequest({
    url: '/export/sale/week/export',
    method: 'post',
    data
  })
}

export function getCategoryList(data) {
  return newRequest({
    url: '/sale/target/category/list',
    method: 'post',
    data
  })
}

